#!/bin/bash

TEST_REPO=test-repos
TEST_WC=test-wc

rm -rf ${TEST_REPO} ${TEST_WC}

svnadmin create ${TEST_REPO} #--compatible-version=1.7
svn co file://`pwd`/${TEST_REPO} ${TEST_WC}
while true; do
    DATE=`date +%s.%N`
    echo ${DATE} >> ${TEST_WC}/file.txt
    svn add --force ${TEST_WC}/file.txt
    svn ci -m "${DATE}" ${TEST_WC}
    python3 pysvnget ${TEST_REPO} file.txt
done
